Subject: RE: Optical IF MIB

From: "Lam, Hing-Kam (Kam)" <[email-masked]>
Date: Wed, 5 Feb 2003 11:06:35 -0500

Hi Laura,

Thanks for the interest in the Optical Interface MIB.
Please see inline below for my opinion.
I also put the atommib WG mailing list in this reply such that members of the WG can provide their input too.

Regards,
Kam

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, February 04, 2003 10:16 AM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Optical IF MIB
> 
> 
> Hello,
> 
> I've been looking at the Optical IF MIB Draft (8) to use to 
> manage DWDM 
> interfaces.
> 
> Our model is simple, we have just a single channel on a DWDM port.
> 
> What we would like to do is represent the channel as ifType 
> opticalChannel(195) 
> without the opticalTransport or channelGroup layers. Has 
> anyone asked you about 
> doing this? 

No one has asked about this before.

In the mib, the OChGroup layer is optional. The compliance specifications in the mib allow this layer to be absent if an implementation does not wish to model the banded configuration. In your case, you have only one channel, so it make sense to represnt the channel as ifType opticalChannel(195) and not to use opticalChannelGroup.

However, the compliance specifications do require two mandatory groups (optIfOTMnGroup and optIfOTSnCommonGroup) for supporting configuration. If you implement Pre-OTN performance monitoring, then optIfPerfMonGroup is mandatory too. 
 
> 
> Is there any other MIB that models a single channel (one layer)?
> 

I don't know of any in the public.

> I understand the MIB is closed to being RFC status, do you 
> have a timeframe of 
> when this will happen?

It is currently in the AD evaluation. I don't know the time frame.

> thanks,
> Laura